package com.jkcredit.invoice.service.nocar.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jkcredit.invoice.mapper.waybill.WayBillSplitInfoMapper;
import com.jkcredit.invoice.model.entity.waybill.NoCarWayBillSplitInfo;
import com.jkcredit.invoice.service.nocar.WayBillSplitInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("wayBillSplitInfoService")
public class WayBillSplitInfoServiceImpl  extends ServiceImpl<WayBillSplitInfoMapper, NoCarWayBillSplitInfo> implements WayBillSplitInfoService{
    @Autowired
    WayBillSplitInfoMapper wayBillSplitInfoMapper;
    @Override
    public int batchInsert(List<NoCarWayBillSplitInfo> noCarWayBillSplitInfos) {
        int num = wayBillSplitInfoMapper.batchInsert(noCarWayBillSplitInfos);
        return num;
    }

    @Override
    public List<NoCarWayBillSplitInfo> selectNoCarWayBillSplitInfosByOrgNum(String wayBillNum) {
        return wayBillSplitInfoMapper.selectNoCarWayBillSplitInfosByOrgNum(wayBillNum);
    }

    @Override
    public int updateStatusById(Long id, byte status) {
        return wayBillSplitInfoMapper.updateStatusById(id,status);
    }
}
